Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476562 - extended list option for rhncfg client
Summary: extended list option for rhncfg client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-15 17:30 UTC by Pradeep Kilambi
Modified: 2009-09-17 07:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 07:06:41 UTC


Attachments (Terms of Use)

Description Pradeep Kilambi 2008-12-15 17:30:18 UTC
Test/Add extended list (elist) option to rhncfg client which provides an ls-esque style output. (Proposed by Colin.Coe)

Comment 1 Pradeep Kilambi 2008-12-15 17:31:12 UTC
Usage: /usr/bin/rhncfg-client MODE [ --server-name name ] [ params ]
Valid modes are:
	diff
	get
	list
	elist
	channels
	verify
[root@config_client]# rhncfg-client elist
Mode          Owner Group          Size Rev      Config Channel    File
-rwsrwxrwx     root root             15   1                prad    /tmp/blah.txt
-rwsrwxrwx     root root             15   2                prad    /tmp/foo.txt

Comment 2 Pradeep Kilambi 2008-12-15 17:45:01 UTC
man pages updated:

diff --git a/client/tools/rhncfg/config_client/rhncfg-client.sgml b/client/tools
index ba944d2..41484f3 100644
--- a/client/tools/rhncfg/config_client/rhncfg-client.sgml
+++ b/client/tools/rhncfg/config_client/rhncfg-client.sgml
@@ -61,6 +61,16 @@
         </listitem>
     </varlistentry>
     <varlistentry>
+        <term>elist</term>
+        <listitem>
+            <para>
+              List the configuration files for the machine and the labels
+              of the config channels containing them which provides an
+              ls-esque style output. Used alone.
+            </para>
+        </listitem>
+    </varlistentry>
+    <varlistentry>
         <term>get <replaceable>CONFIG_FILEPATH</replaceable></term>
         <listitem>
             <para>
@@ -112,6 +122,7 @@
 <RefSect1><Title>Examples/Summary</Title>
 <simplelist>
         <member><command>&RHNCFGC; list</command></member>
+        <member><command>&RHNCFGC; elist</command></member>
         <member><command>&RHNCFGC; get /etc/foo.conf</command></member>
         <member><command>&RHNCFGC; channels</command></member>
         <member><command>&RHNCFGC; diff</command></member>

Comment 3 Pradeep Kilambi 2009-01-15 17:04:41 UTC
FAILS_QA.. looks like this dint make it into the latest package in the repo

Comment 4 Pradeep Kilambi 2009-01-15 17:18:09 UTC
new packages built.. fix should be in rhncfg*-0.4.2-1

Comment 5 Miroslav Suchý 2009-09-17 07:06:41 UTC
Spacewalk 0.4 has been released for some time.


Note You need to log in before you can comment on or make changes to this bug.